API ReferenceAccount information

This endpoint will return basic information for a specific account.

GET
/v1/account_info

Requires authentication over HTTPS with either an API key sent as a Bearer token or Basic authentication (Username and Password).

Authorization

AuthorizationBearer <token>

API key created on your Xe Currency Data account's API page, sent as a Bearer token in the Authorization header.

In: header

Response Body

application/json

application/json

application/json

application/json

text/plain

curl -X GET "https://example.com/v1/account_info"
{  "id": "00000000-0000-0000-0000-000000000000",  "organization": "Example Organization",  "package": "EXAMPLE_PACKAGE",  "service_start_timestamp": "2026-01-15T00:00:00Z",  "package_limit_duration": "MONTHLY",  "package_limit": 10000,  "package_limit_remaining": 8342,  "package_limit_reset": "2026-09-01T00:00:00Z"}
{  "code": 1,  "message": "Bad credentials",  "documentation_url": "https://developers.xe.com/docs/currency-data-api"}
{  "code": 3,  "message": "Monthly rate limit exceeded.",  "documentation_url": "https://developers.xe.com/docs/currency-data-api"}
{  "code": 4,  "message": "Current interval rate limit exceeded.",  "documentation_url": "https://developers.xe.com/docs/currency-data-api"}
"An unexpected error occurred"
Get help